org.springframework.batch.core.configuration.support

## Class JobFactoryRegistrationListener

- java.lang.Object
- - org.springframework.batch.core.configuration.support.JobFactoryRegistrationListener

-     public class JobFactoryRegistrationListener
      extends java.lang.Object

  Generic service that can bind and unbind a `JobFactory` in a `JobRegistry`.
  Author:
    Dave Syer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobFactoryRegistrationListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind(JobFactory jobFactory, java.util.Map<java.lang.String,?> params)` Take the `JobFactory` provided and register it with the `JobRegistry`.
    `void` | `setJobRegistry(JobRegistry jobRegistry)` Public setter for a `JobRegistry` to use for all the bind and unbind events.
    `void` | `unbind(JobFactory jobFactory, java.util.Map<java.lang.String,?> params)` Take the `JobFactory` provided and unregister it with the `JobRegistry`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobFactoryRegistrationListener

          public JobFactoryRegistrationListener()

  - ### Method Detail

    - #### setJobRegistry

          public void setJobRegistry(JobRegistry jobRegistry)

      Public setter for a `JobRegistry` to use for all the bind and unbind events.
      Parameters:
        `jobRegistry` - `JobRegistry`

    - #### bind

          public void bind(JobFactory jobFactory,
                           java.util.Map<java.lang.String,?> params)
                    throws java.lang.Exception

      Take the `JobFactory` provided and register it with the `JobRegistry`.
      Parameters:
        `jobFactory` - a `JobFactory`
        `params` - not needed by this listener.
      Throws:
        `java.lang.Exception` - if there is a problem

    - #### unbind

          public void unbind(JobFactory jobFactory,
                             java.util.Map<java.lang.String,?> params)
                      throws java.lang.Exception

      Take the `JobFactory` provided and unregister it with the `JobRegistry`.
      Parameters:
        `jobFactory` - a `JobFactory`
        `params` - not needed by this listener.
      Throws:
        `java.lang.Exception` - if there is a problem